Bug 150011 - Add Croatian Kuna to Euroconvert function
Summary: Add Croatian Kuna to Euroconvert function
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.3.6
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2022-07-16 05:59 UTC by Martin Srebotnjak
Modified: 2022-07-26 09:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2022-07-16 05:59:39 UTC
Description:
With January 1, 2022 Croatia will join Eurozone:
https://www.ecb.europa.eu/press/pr/date/2022/html/ecb.pr220712~b97dd38de3.en.html
The Croatian kuna conversion rate is set at 7.53450 per euro.

Steps to Reproduce:
Kuna is not part of the wizard.

Actual Results:
/

Expected Results:
Kuna appears in the wizard.


Reproducible: Always


User Profile Reset: No



Additional Info:
/
Comment 1 raal 2022-07-21 15:50:59 UTC
see bug 135580, wizzard is removed. But in Calc is function EUROCONVERT and Kuna should be supported.
Comment 2 Eike Rathke 2022-07-22 10:28:22 UTC
(In reply to Martin Srebotnjak from comment #0)
> With January 1, 2022 Croatia will join Eurozone:
January 1, *2023*

(In reply to raal from comment #1)
> see bug 135580, wizzard is removed. But in Calc is function EUROCONVERT and
> Kuna should be supported.
The Euro wizard was only removed from menu, code still exists and could be called by macro.
There's also currency number formats affected, and adding the conversion to CONVERT_OOO() for completeness wouldn't hurt.
Comment 3 Martin Srebotnjak 2022-07-22 14:50:49 UTC
Yes, I stand corrected: January 1, 2023.
Comment 4 Commit Notification 2022-07-22 21:06:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c4b2db21ef77b37daf234ac1ab9989234606a22

Resolves: tdf#150011 Add HRK Croatian Kuna conversion to EUR Euro

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Martin Srebotnjak 2022-07-22 22:13:36 UTC
Since this is relevant on January 1, 2023, before the 7.5.0 release - could it be merged also in 7.4.x?
Comment 6 Commit Notification 2022-07-23 00:18:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b1a2f727ca99ecd3402d4b051b99cbfd24266e59

Related: tdf#150011 Add HRK Croatian Kuna to Euro conversion wizard

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2022-07-23 00:24:52 UTC
Pending review
https://gerrit.libreoffice.org/c/core/+/137330 for 7-4
https://gerrit.libreoffice.org/c/core/+/137331 for 7-3

Default currency in i18npool/source/localedata/data/hr_HR.xml later should be switched to EUR for 7.4.4 scheduled to be released in week 53, January 2023, per
https://wiki.documentfoundation.org/ReleasePlan/7.4#7.4.4_release
Comment 8 Commit Notification 2022-07-25 15:25:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/89c7beea208e7d70072cd2b436280c816debc180

Resolves: tdf#150011 Add HRK Croatian Kuna conversion to EUR Euro

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-07-26 09:59:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/cb50e66675f8457da429c7e079e83fdd74069f4d

Resolves: tdf#150011 Add HRK Croatian Kuna conversion to EUR Euro

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.